#include <stdio.h>
#include <stdlib.h>

int main()

{int n,i,q,d,p,j,k;
printf(" n:\n");
scanf("%d",&n);
printf(" q:\n");
scanf("%d",&q);
for(i=1;i<=n;i++)
{printf( d:\n");
scanf("%d",&d);
printf(" p:\n");
scanf("%d",&p);}
for(i=0;i<q;i++)
{printf("k:\n");
scanf("%d",&k);
j=0;}
for(i=1;i<=k;i++)
{if(p!=0)
 {j=j+1;
 p=p-1;}
 else
 {p=p+0;
 j=j+0;}}
printf(" %d\n ",j);

    return 0;
}